/***************************************************************
 * debugging routines
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 **************************************************************/

#include "debug.h"

char debug_print_buffer[256] = "help me!\n";

/*****************************************************
 * debug code for Mappy - print a string to the
 * console (code is ASM)
 ****************************************************/
void debug_print (const char *sz)
{
  asm volatile("
    mov r2, %0
    ldr r0, =0xc0ded00d
    mov r1, #0
    and r0, r0, r0
  " :
  /* No output */ :
  "r" (sz) :
  "r0", "r1", "r2");
}


